Subject: Insensitivity, etc.

From: [email-masked] (Yi Guo)
Date: Thu, 4 Nov 93 13:41:33 CST

[email-masked] wrote:
--> There were quite a few mails posted these days yelling at the poor
--> guy who just had his heart broken because of  losing the job offer.
--> I personally found these people were very insensitive if I'm not
--> using the Chinese saying " scatter salt on wounded palce", although
--> I'm a CSPAer.  I think we should learn how to comfort people when
--> they are in tears, at least not to use those sharp, sacarstic tone.

    I personally feel sorry for the guy.  But, although I didn't mention
anything that you said here, I can also understand those who might have
used "sharp, sacarstic" tone:
     1) CSPAers don't have to defend for what they get.
     2) CSPAers don't have to be blamed for what others get.
     3) CSPAers have been sort of like a scapegoat for every bad thing
        happened to those clamied LCers.
     4) The mention of "crying baby" has its ground.  Just ask any one
        who was/is in the job hunting:  How many times you didn't get
	any interview chance?  How many times you didn't get a site
	interview chance?  How many times you didn't get an offer?
	Yet, how many complaints to the public net had us seen before
	CSPA is in effect?
     5) Several posts are reasonable that they analyzed the job market 
        for EE majors, they analyzed the job market for foreigners, and
	they also pointed out it's not a good time for the whole computer
	industry.
     6) I personally think when one comes to the states, he should 
        realize he is competing with Americans, not fellow Chinese.  Just
	look at the fraction of work force for Chinese here in the states,
	why cannot one have the courage to try to challenge the whole 
	work force, not just we fellow Chinese?
     7) No one really knows the background, strength of the guy who is
        in job hunting.  The confidence he expressed that he might
	just be "an engineer in that midsized company" sounds too 
	optimistic to me.  I can also say that he hasn't been in the job
	hunting for some time, that he cannot take the rejection quite
	well yet.  (yes, it's strange why the company official know the
	CSPA, but can it just be an excuse for their policy not to hire
	foreigners? With so many laid-off high skill professionals, they
	might just pick from that pool, or they are laying off also).
    
--> I can almost guess these few insensitive guys enjoy to to brag their
--> cards in front of the LCs with some unmentionable proudness.
      
      Agree with you on the point that there is no point bragging you
are PR (just like ABC bragging they are better than non-ABC, it's stupid).
But, there is also no point shying away from the topic that I am CSPAer.
It's all natural, yes, I got the green card now.  Proudness?  no, happiness?
yes.  If you are not happy, why take the trouble applying for it?
      Can I ask those claimed LCer (I hate their claims, and I think it's
the human defficiency within those guys to brand them that way) a question:
    If your friend is a CSPAer, has the relation between you and your friend
changed a bit?  If so, who caused it?  (not for the friend that is your
special one).